complexType "MutualFund"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId*, currency?, exchangeId?, clearanceSystem?, definition?, openEndedFund?, fundManager?
</...>

Content Model Elements (7):

  clearanceSystem (defined in UnderlyingAsset complexType), currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), exchangeId (defined in UnderlyingAsset complexType), | fundManager (in mutualFund), instrumentId (defined in IdentifiedAsset complexType), openEndedFund

All Direct / Indirect Based Elements (1):

  mutualFund

Known Usage Locations

- As direct type of elements (1):
  mutualFund

Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) MutualFund

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="MutualFund"> <xsd:complexContent> <xsd:extension base="UnderlyingAsset"> <xsd:sequence> <xsd:element minOccurs="0" name="openEndedFund" type="xsd:boolean"/> <xsd:element minOccurs="0" name="fundManager" type="xsd:string"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
fundManager

  Type: | xsd:string, predefined, simple content

  Specifies the fund manager that is in charge of the fund.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fundManager" type="xsd:string"/>

openEndedFund

  Type: | xsd:boolean, predefined, simple content

  Boolean indicator to specify whether the mutual fund is an open-ended mutual fund.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="openEndedFund" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.